*COMBINING TEAM SALARY ORIGINAL DATA FILES FROM EVERY YEAR SO THEY CAN BE FOUND IN ONE SINGLE DATA FILE

****WORKING DIRECTORY SHOULD BE ON COMMAND FILES FOLDER******

*Clear any data that are in memory so that we start with an
*empty data set

clear

*Create temporary folder where data can be combined before being moved to analysis

*Create Loop so we can do the same thing to all standings files 
forvalues yr=2002/2016{

	insheet using "../Original Data/Team Salary/leagues_MLB_`yr'-misc_teams_miscellaneous.csv", names
	*Create a variable "year" that, for each data point, corresponds to the year to which the original data files refer
	gen year=`yr'
	*Then save the new files to the temporary folders 
	save "../Temp/teamsalary`yr'.dta", replace
	drop _all
	
}

*Now We will merge each of these data files into one file
*The variable Year was created above so that we will be able to tell 
*which data point corresponds to which original data file

clear
use ../Temp/teamsalary2002.dta

forvalues x=2003/2016{
	append using ../Temp/teamsalary`x'.dta
}

*Get rid of all sub-headers
drop if tm=="Avg" 
*drop all extraneous variables 
keep tm estpayroll year bpf ppf
*change lable of the variable "year" 
label variable year Year
label variable bpf bparkfactor
label variable ppf pparkfactor
*replace variables whose team names had changed for consistency 
replace tm = "TBR" if tm == "TBD"
replace tm = "WSN" if tm == "MON"
replace tm = "LAA" if tm == "ANA" 
replace tm = "MIA" if tm == "FLA" 
*rename variables to correspond to hand collected data spreadsheet
rename estpayroll teampayroll
rename bpf bparkfactor
rename ppf pparkfactor

*turn team into a numerically coded variable 
encode tm, gen(Team)
drop tm

*Save combined data file for all individual pitcher player value data 
save ../Temp/teamsalary.dta, replace


*COMBINING TEAM STANDINGS WITH HAND COLLECTED DATA FILE 
*clear page 
clear 

*upload hand collected data to STATA
use "../Temp/updated handcollected.dta"

*Merge hand collected data and standings file together
merge 1:1 year Team using "../Temp/teamsalary.dta"
drop _merge

*save in temp folder
save "../Temp/updated handcollected.dta", replace
