***COMBINING ALL OPENING DAY ROSTER DATA FILES INTO ONE PANEL DATA FILE****

****WORKING DIRECTORY SHOULD BE ON COMMAND FILES FOLDER******

*Clear any data that are in memory so that we start with an
*empty data set

clear

*Create Loop so we can do the same thing to all pitching data files 
forvalues yr=2003/2016{

	import excel "../Original Data/Opening Day Rosters/`yr' Opening Day Rosters.xlsx", sheet("Sheet1") firstrow
	*Create a variable "year" that, for each data point, corresponds to the year to which the original data files refer
	gen year=`yr'
	*Then save the new files to the temporary folders 
	save "../Temp/opening`yr'.dta" , replace
	drop _all

}	

*Now We will merge each of these data files into one file
*The variable Year was created above so that we will be able to tell 
*which data point corresponds to which original data file

clear
use ../Temp/opening2003.dta

forvalues x=2004/2016{
	append using ../Temp/opening`x'.dta
}

*Label the variable year, "YEAR" 
label variable year "Year"
*rename variables to match playervalue file 
rename RANK rk
rename NAME name
rename POS possummary 
*Drop extraneous variables
drop SALARY YEARS TOTALVALUE AVGANNUAL 
*relabel values of Team to correspond to baseball_reference labels 
replace TEAM = "SFG" if TEAM == "SF"
replace TEAM = "SDP" if TEAM == "SD"
replace TEAM = "TBR" if TEAM == "TB"
replace TEAM = "CHW" if TEAM == "CWS"
replace TEAM = "KCR" if TEAM == "KC"
replace TEAM = "WSN" if TEAM == "WSH"
*unstring team variable so it can be more easily analyzed later on 
encode TEAM, gen(team)
drop TEAM 

*drop rank variable
drop rk 

*Specify name to be from opening day roster datasource
gen oname=name

*Clean up data to get rid of unnecessary duplicates
replace oname="Alex Gonzalez" if oname=="Alex Luis Gonzalez" 
replace oname="Anthony Varvaro" if oname=="Anthony Vavaro" 
replace oname="Darren O'Day" if oname=="Darren O`Day" 
replace oname="Eric O'Flaherty" if oname=="Eric O`Flaherty" 
replace oname="Jae Weong Seo" if oname=="Jae Seo" 
replace oname="Jose Bautista" if oname=="Jose A. Bautista" 
replace oname="Jose Cruz" if oname=="Jose Cruz Jr"
replace oname="Luis Castillo" if oname=="Luis A. Castillo"
replace oname="Melvin Upton Jr" if oname=="Melvin Upton Jr."
replace oname="Nori Aoki" if oname=="Norichika Aoki"
replace oname="Pedro Martinez" if oname=="Pedro J. Martinez"
replace oname="Ramon Martinez" if oname=="Ramon E. Martinez"
replace oname="Rich Thompson" if oname=="Rich C. Thompson"
replace oname="Robbie Ross" if oname=="Robbie Ross Jr."
replace oname="Steven Souza" if oname=="Steven Souza Jr."
replace oname="Todd Walker" if oname=="Todd A. Walker"
replace oname="Tony Pena" if oname=="Tony Pena Jr."
replace oname="Tony Armas" if oname=="Tony Jose Armas"
replace oname="Travis d'Arnaud" if oname=="Travis d`Arnaud"
replace oname="Bob Howry" if oname=="Bobby Howry"
replace oname="Adam Eaton-b" if oname=="Adam Eaton" & year>2010 
replace oname="Pedro Martinez" if oname=="Pedro J. Martinez" 
replace oname="Matt Duffy-b" if oname=="Matt Duffy" & team==11
replace oname="Luis Lopez-b" if oname=="Luis Lopez" & team==30
replace oname="Chris R. Young" if oname=="Chris Young" & possummary=="P" 
drop if name=="Yoenis Cespedes" & year==2014 & team==10
drop if name=="Yoenis Cespedes" & year==2012 & team==10
drop if name=="Trevor Cahill" & year==2011 & team==1
drop if name=="Martin Prado" & year==2013 & team==15
drop if name=="Martin Prado" & year==2014 & team==15
drop if name=="Adrian Gonzalez" & year==2012 & team==14
drop if name=="Adrian Gonzalez" & year==2013 & team==4
drop if name=="Allen Craig" & year==2013 & team==4
drop if name=="Allen Craig" & year==2014 & team==4
drop if name=="Carl Crawford" & year==2011 & team==14
drop if name=="Carl Crawford" & year==2012 & team==14
drop if name=="Jason Hewyward" & year==2014 & team==26
drop if name=="Jose Reyes" & year==2012 & team==29
drop if name=="Justin Upton" & year<2015 & team==23
drop if name=="Mark Buehrle" & year==2012 & team==29
drop if name=="Miguel Montero" & year==2013 & team==5
drop if name=="Miguel Montero" & year==2014 & team==5
drop if name=="Prince Fielder" & year==2012 & team==28
drop if name=="Prince Fielder" & year==2013 & team==28
drop if name=="Ryan Hanigan" & year==2014 & team==4


*Eliminate one unnecessary duplicate from data set 
duplicates list team year oname
duplicates drop
*save file in analysis data folder
save "../Temp/openingday.dta", replace

