****CALCULATING ROSTER TURNOVER*****

*STEP 1---aligning player names 



clear
*I will now clean up the names from my two player level data sources so that they can be aligned 
*Upload player_id csv file from Original Data Folder

clear
insheet using "../Original Data/player_id.csv", names

*Keep only necessary variables

keep cname oname player_id
                          ****CALCULATING ROSTER TURNOVER*****

*STEP 1---aligning player names 



clear
*I will now clean up the names from my two player level data sources so that they can be aligned 
*Upload player_id csv file from Original Data Folder

clear
insheet using "../Original Data/player_id.csv", names

*Keep only necessary variables

keep cname oname player_id

*Save new file

save "../Temp/player_id.dta",replace 




clear

*Use newly converted player_id spreadsheet in STATA
use "../Temp/player_id.dta"
*Drop missing values
drop if oname==""
*Merge opening names with Opening Day Roster File
merge 1:m oname using "../Temp/openingday.dta"
*Drop auto generated Merge variable
drop _merge
*generate new year variable
gen oyear=year
gen american1=0 
label variable american1 american1league
replace american1 = 1 if team==3
replace american1 = 1 if team==4
replace american1 = 1 if team==6
replace american1 = 1 if team==8
replace american1 = 1 if team==10
replace american1 = 1 if team==12
replace american1 = 1 if team==13
replace american1 = 1 if team==17
replace american1 = 1 if team==19
replace american1 = 1 if team==29
replace american1 = 1 if team==20
replace american1 = 1 if team==24
replace american1 = 1 if team==27
replace american1 = 1 if team==28
replace american1 = 1 if team==11 & year>2012 
*
*Save new temporary merged file 
save "../Temp/otemp.dta", replace
*Use newly converted player_id spreadsheet in STATA
clear
use "../Temp/player_id.dta"
*Drop missing values
drop if cname==""
*Merge closing names with Closing Day Roster File 
merge 1:m cname using "../Temp/playervalue.dta"
*Drop auto generated Merge variable
drop _merge
*generate new year variable
gen cyear=year
*generate league variable 
gen american=0 
label variable american americanleague
replace american = 1 if team==3
replace american = 1 if team==4
replace american = 1 if team==6
replace american = 1 if team==8
replace american = 1 if team==10
replace american = 1 if team==12
replace american = 1 if team==13
replace american = 1 if team==17
replace american = 1 if team==19
replace american = 1 if team==29
replace american = 1 if team==20
replace american = 1 if team==24
replace american = 1 if team==27
replace american = 1 if team==28
replace american = 1 if team==11 & year>2012 

*Save new temporary merged file 
save "../Temp/ctemp.dta", replace

***STEP 2---CALCULATING ROSTER TURNOVER

**Now I will calculate each team's roster turnover from the previous season's 
*final roster to the opening day roster of the next season using a loop

forvalues t=1/30{
	forvalues y=2003/2016{
		drop _all
*use merged opening day file with player_id included
		use "../Temp/otemp.dta"
*Keep only players from the team and year in question 
		keep if team==`t' & year==`y'
*keep only necessary variables and save
		keep cname oname player_id year oyear team american1
		save "../Temp/otemp`t'and`y'.dta.dta", replace
*use merged closing day roster file with player_id included
		use "../Temp/ctemp.dta"
*keep only players who were on the team in question at the end of the previous season
		keep if team==`t' & cyear==`y'-1
*keep only necessary variables 
		keep cname oname player_id year cyear team age american
*merge each team's previous season roster with their opening day roster 
		merge 1:1 player_id using "../Temp/otemp`t'and`y'.dta.dta"

*generate a variable for the different merging status of the observations
		tab _merge, gen(m)
*label the variables 
		egen matched=sum(m3)
		egen onlyc=sum(m1)
		egen onlyo=sum(m2)
*generate and calculate the turnover variable 
*Turnover1=1-players that were on both rosters/# of players on the previous season's roster
*In other words, 1-retention=turnover
		gen turn1=1-(matched/(matched+onlyc))


*Keep necessary variables and then convert data from player level to team level with 
*only one observation in each file and save each file
		keep team oyear cyear turn1 age
*generate variable for average age of significant players from the previous season on the Opening Day Roster
		sort team oyear
		by team oyear: egen MeanAgeOpen=mean(age)
		drop age
		egen otemp=max(oyear)
		egen ctemp=max(cyear)
		drop oyear cyear
		gen oyear=otemp
		gen cyear=ctemp
		drop otemp ctemp
		
		drop if _n>1
					
		save "../temp/`t'and`y'.dta", replace
	}	
}

*Use one of the single observation files as the master and append the rest of the 
*generated and saved files to create one single data sheet with team year as 
*the level of observation and turnover1 as the main variable calculated
clear
use "../Temp/30and2015.dta"
forvalues t=1/30{
	forvalues y=2003/2016{
		append using "../temp/`t'and`y'.dta"
	}
}



*Sort and rename variables 
sort team cyear

rename oyear year

*Get rid of single duplicate, leading to 420 observations 
duplicates list team year

duplicates drop 

save "../Temp/turnover.dta", replace







****Calculate League Turnover Variable
clear
use "../Temp/ctemp.dta"
rename team cteam 
save "../Temp/ctemp.dta", replace
forvalues t=1/30{
	forvalues y=2003/2016{
		drop _all
*use merged opening day file with player_id included
		use "../Temp/otemp.dta"
*Keep only players from the team and year in question 
		keep if team==`t' & year==`y'
*keep only necessary variables and save
		keep cname oname player_id year oyear team american1
		save "../Temp/oleaguetemp`t'and`y'.dta.dta", replace
*use merged closing day roster file with player_id included
		use "../Temp/ctemp.dta"
*keep only players who were on the team in question at the end of the previous season
		keep if cyear==`y'-1
*keep only necessary variables 
		keep cname oname player_id year cyear age american cteam
*merge each team's previous season roster with their opening day roster 
		merge 1:1 player_id using "../Temp/oleaguetemp`t'and`y'.dta.dta"
*calculate number of significant players on opening day roster that transferred leagues in the offseason
		egen leagueturnover=sum(cteam!=`t' & _merge==3 & american1!=american)
*keep necessary variables		
		keep team oyear cyear leagueturnover
*turn data from player to team level
		sort team oyear
		egen otemp=max(oyear)
		egen ctemp=max(cyear)
		drop oyear cyear
		gen oyear=otemp
		gen cyear=ctemp
		drop otemp ctemp
		drop if _n>1
		save "../temp/leagueturnover`t'and`y'.dta", replace
	}
}
*Use one of the single observation files as the master and append the rest of the 
*generated and saved files to create one single data sheet with team year as 
*the level of observation and turnover1 as the main variable calculated
clear
use "../Temp/leagueturnover30and2015.dta"
forvalues t=1/30{
	forvalues y=2003/2016{
		append using "../temp/leagueturnover`t'and`y'.dta"
	}
}

sort team cyear
rename oyear year

*Get rid of single duplicate, leading to 420 observations 

duplicates list team year

duplicates drop 

drop cyear 

*Merge with turnover file 
merge 1:1 team year using "../Temp/turnover.dta"
drop _merge cyear 
save "../Temp/turnover.dta", replace

