*********CALCULATING OPENING DAY WAR*************
**Now I want to estimate the Total WAR on each team's opening day roster for 
**each season 
clear
use "../Temp/ctemp.dta"
rename cteam team
save "../Temp/ctemp.dta", replace
clear

*Create a loop to construct data files for each team in each year just as
*was done in roster turnover 
forvalues t=1/30{
	forvalues y=2003/2016{
		drop _all
		use "../Temp/otemp.dta"
		keep if team==`t' & year==`y'
		drop possummary
		save "../Temp/tempOwar`t'and`y'.dta", replace
		use "../Temp/ctemp.dta"
*Here, all players in the year are kept so that calculations include players 
*who were on a different team in the previous season 
		keep if cyear==`y'-1
		keep cname oname player_id year team war
		duplicates list player_id
		duplicates drop
*Merge previous season's significant players with each team's opening day roster
		merge 1:1 player_id using "../Temp/tempOwar`t'and`y'.dta"
*Drop any value is not on the opening day roster of the next season for the team
*in question
		drop if _merge==1
*For player's whose WAR is not calculated from the previous season, due to their 
*being categorized as non-significant, the missing value is replaced with 0, which 
*is approximately the average WAR of a non-signifcant player----Generate number of players who are non-significant,
*players on the roster, significant players on roster
		egen nosig=sum(war==.) 
		egen totalplayers=count(war==.)
		gen warexists=totalplayers-nosig
		recode war "."=0
		sort oyear
*Calculate the total war on the opening day roster for each team 
		by oyear: egen TotalWarOpening=sum(war)
*Calculate WAR per significant player on the roster and war per player
		gen warpersig=TotalWarOpening/warexists
		
*keep necessary variables 
		keep year team war oyear nosig totalplayers warexists warpersig TotalWarOpening
*make sure each file is labeled as belonging to the correct team
		egen otemp=mode(team)
		drop team
		gen team=otemp
		drop otemp
*make each file a single observation and save
		drop if _n>1
		save "../Temp/oWARwith`t'and`y'.dta", replace
		
		
		
	}	
}
*Now append all the files so that there is one observation for each team/year
clear
use "../Temp/oWARwith30and2016.dta"
forvalues t=1/30{
	forvalues y=2003/2016{
		append using "../Temp/oWARwith`t'and`y'.dta"
	}
}

*rename variable for easier merging later on
drop year war
rename oyear year

*eliminate single duplicate in the dataset, getting us to the requisite 420 observations
duplicates list team year

duplicates drop 
*Teams needed to be relabeled after previous function
label define teamlabel 1 "ARI" 2 "ATL" 3 "BAL" 4 "BOS" 5 "CHC" 6 "CHW" 7 "CIN" 8 "CLE" 9 "COL" 10 "DET" 11 "HOU" 12 "KCR" 13 "LAA" 14 "LAD" 15 "MIA" 16 "MIL" 17 "MIN" 18 "NYM" 19 "NYY" 20 "OAK" 21 "PHI" 22 "PIT" 23 "SDP" 24 "SEA" 25 "SFG" 26 "STL" 27 "TBR" 28 "TEX" 29 "TOR" 30 "WSN" 

label values team teamlabel
sort team year

*save appended datafile with each team's total war on opening day for each season

save "../Temp/totalWARopening.dta",replace


