*****MANAGING HAND COLLECTED DATA SET******

clear 

*upload updated hand collected hand collected data
use "../Temp/updated handcollected.dta"

*Sort and organize into Panel Data
sort Team year 
tsset Team year 
rename Team team 

*Destring teampayroll so that it is a numeric value 
destring teampayroll, replace ignore("$") 
*Make units of variable millions 
replace teampayroll=teampayroll/1000000

*Create a variable representing the % change in payroll from the previous season 
gen changeTeamPayroll=(teampayroll-L.teampayroll)/L.teampayroll



*Drop extraneous variables
drop lg g




/*egen team_id=group(team year)*/
*Merge two data files together to add Avg Age and WAR 
merge m:m team year using "../Temp/playervalue.dta"
*Clean Up Hand Collected Data 

sort team year

drop _merge 
order team, first

*Convert dataset from player/year level to team/year level 
drop cname-possummary
sort team year
by team year: drop if _n>1

*Merge Turnover Data with Analysis Data
merge 1:1 team year using "../Temp/turnover.dta"
drop _merge
*Merge total WAR on opening day roster data with Analysis Data 
merge 1:1 team year using "../Temp/totalWARopening.dta"
drop _merge
*Merge Continuity Data with Analysis Data
merge 1:1 team year using "../Temp/continuity.dta"
drop _merge
*Merge Positional Continuity Data with Analysis data 
merge 1:1 team year using "../Temp/catchcont.dta"
drop _merge
merge 1:1 team year using "../Temp/sscont.dta"
drop _merge
merge 1:1 team year using "../Temp/startpitchcont.dta"
drop _merge

*label and rename variables
label variable turn1 turnoverRate 
label variable leagueturnover leagueturnover 
rename turn1 turnover


*Label and rename variables
rename Vegas vegasW
label variable vegasW vegasW
label variable WL WL
label variable TotalWarOpening OpenWAR
rename TotalWarOpening OpenWAR
label variable man_tenure tenure
label variable totalplayers totalplayers 
label variable warexists totalsignificant
label variable warpersig warpersig
*drop non-significant player variable
drop nosig
*generate variable for the percentage of significant players on the roster
*sigrate=# of significant players/total players on roster
gen sigrate=warexists/totalplayers
label variable sigrate sigplayerproportion 


*create park factor variable=difference from the average park 
gen parkfactor=abs((bparkfactor+pparkfactor)/2-100)
drop bparkfactor pparkfactor 
label variable parkfactor parkfactor

*create pythagorean win%: luck is difference between wins and pythagorean wins in the dataset. Numerator=Pythagorean Wins Denominator=Games Played
gen pythWL=(W-luck)/(W+L)
drop luck
label variable pythWL pythWL

*keep only variables used in analysis 
keep AllStarWL team warexists year pythWL totalplayers vegasW turnover rostercont teampayroll sscont catchcont startpitchcont leagueturnover parkfactor man_tenure W L WL sigrate warpersig OpenWAR


*Save DATA SET AS FINAL DATA SET 
save "../Analysis Data/Analysis.dta", replace
